gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Dialog A standard dialog box for selecting a color.

The ColorSelectionDialog provides a standard which allows the user to select a color much like the provides a standard dialog for file selection.

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  A title that will appear in the window's title bar.
  The main way to construct a new color selector.
- Property
  2.12.0.0
  Gtk.Button A button for cancelling this dialog A standard .
- Property
  2.12.0.0
  Gtk.ColorSelection An accessor to the actual ColorSelection widget. The ColorSelection component of this .

  All color-related functions are available using the methods on this property, such as .

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  Gtk.Button A button for providing help with this dialog A standard .
- Property
  2.12.0.0
  Gtk.Button A button to confirm use of the selected color. A standard .